package com.halo.halomobisdk

import android.content.Context
import android.graphics.Point
import android.os.Bundle
import android.util.Log
import android.view.View
import android.view.WindowManager
import android.widget.Button
import android.widget.RelativeLayout
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity
import com.applovin.impl.wm
import com.halo.halojuhesdk.sdk.HlBannerAd
import com.halo.halojuhesdk.sdk.listener.HlBannerListener
import com.halomobi.halomobisdk.R


class BannerActivity : AppCompatActivity() {
    private val TAG: String = "BannerActivity"
    private var bannerContainer: RelativeLayout? = null
    private var hlBannerAd: HlBannerAd? = null
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_banner)
        bannerContainer = findViewById(R.id.bannerContainer)
        findViewById<Button>(R.id.load).setOnClickListener {
            loadBannerAd()
        }
        findViewById<Button>(R.id.show).visibility = View.GONE

    }

    private fun loadBannerAd() {
        hlBannerAd = HlBannerAd(this, "2931001", 300, 250, object : HlBannerListener {
            override fun onDisplayAd(adType: String?) {
            }

            override fun onClickAd(adType: String?) {
            }

            override fun onCloseAd() {
            }

            override fun onAdReady(adType: String?) {
                hlBannerAd?.showView(bannerContainer)
            }

            override fun onAdError(msg: String, code: Int) {
                Log.e(TAG, "onAdError$msg$code")
                Toast.makeText(this@BannerActivity, msg, Toast.LENGTH_SHORT).show()
            }
        })
        hlBannerAd?.loadAd()
    }

    override fun onDestroy() {
        super.onDestroy()
        hlBannerAd?.release()
    }
}